#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x95,0x16,0xDC,0x86,0x52,0xA8,0x5A,0xFC,0x44,0x58,0x1E,0xDD,
		0xAA,0x82,0x66,0x77,0x25,0xE6,0xB9,0x80,0xA1,0x12,0x76,0xD8,
		0x00,0x53,0xAC,0x1D,0x23,0x69,0xC3,0x0A,0xDC,0x71,0x30,0xB4,
		0x32,0x34,0x45,0xD0,0xC9,0xA4,0x17,0x7A,0x7E,0x97,0x3C,0xCC,
		0x4B,0xE6,0x7D,0x8E,0x91,0x91,0x2E,0xA8,0xAF,0x0D,0x35,0xD9,
		0xB6,0x12,0xA3,0xF3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
